Alembic Version 1.1

Classes | Typedefs | Functions
Alembic::AbcCollection::ALEMBIC_VERSION_NS Namespace Reference

## Classes
class | ICollectionsSchema
class | OCollectionsSchema

## Typedefs
typedef Abc::ISchemaObject< ICollectionsSchema > | ICollections
| Object declaration. More...
typedef Util::shared_ptr< ICollections > | ICollectionsPtr
typedef Abc::OSchemaObject< OCollectionsSchema > | OCollections
| Object declaration. More...
typedef Util::shared_ptr< OCollections > | OCollectionsPtr

## Functions
| ALEMBIC_ABC_DECLARE_SCHEMA_INFO ("AbcCollection_Collections_v1", "", ".collection", false, CollectionsSchemaInfo)

## Typedef Documentation

## ◆ ICollections

typedef Abc::ISchemaObject<ICollectionsSchema> Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollections

Object declaration.

Definition at line 119 of file ICollections.h.

## ◆ ICollectionsPtr

typedef Util::shared_ptr< ICollections > Alembic::AbcCollection::ALEMBIC_VERSION_NS::ICollectionsPtr

Definition at line 121 of file ICollections.h.

## ◆ OCollections

typedef Abc::OSchemaObject<OCollectionsSchema> Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollections

Object declaration.

Definition at line 119 of file OCollections.h.

## ◆ OCollectionsPtr

typedef Util::shared_ptr< OCollections > Alembic::AbcCollection::ALEMBIC_VERSION_NS::OCollectionsPtr

Definition at line 121 of file OCollections.h.

## Function Documentation

## ◆ ALEMBIC_ABC_DECLARE_SCHEMA_INFO()

Alembic::AbcCollection::ALEMBIC_VERSION_NS::ALEMBIC_ABC_DECLARE_SCHEMA_INFO | ( | "AbcCollection_Collections_v1" | ,
|  | "" | ,
|  | ".collection" | ,
|  | false | ,
|  | CollectionsSchemaInfo |
| ) |  |